* {
    box-sizing: border-box;
}

.body {
    margin: 0;
}

.parent {
    max-width: 1200px;
    height: 1200px;
    background: red;
    margin: 0 auto;
}
/*.red{*/
/*    width: 1210px;*/
/*    height: 1210px;*/
/*    background: red;*/
/*}*/
.d-flex {
    display: flex;
    column-gap: 10px;
    /*flex-wrap: wrap;*/
}

.bg-yellow {
    background: yellow;
    width: 25%;
}

.bg-blue {
    background: blue;
    width: 50%;
}

.bg-green {
    background: green;
    flex: 1 0 auto;
    /*margin-left: 10px;*/
    /*margin-right: 10px;*/
}

.bg-fuchsia {
    background: fuchsia;
    max-width: 77%;
    flex-basis: 77%;
}
.bloc{
    flex-wrap: wrap;
}
.fuchsia {
    flex-basis: 33%;
    max-width: 33%;
}

.flex-col {
    flex-direction: column;
}

.p-10 {
    padding: 10px;
}

@media (max-width: 1200px) {

}

@media (min-height: 992px) {
    .bg-yellow {
        min-height: 50%;
    }

    .bg-blue {
        max-height: 100%;
    }

    .bg-fuchsia {
        max-height: 100%;
    }
}

